package com.brilliance.isc.common.rmbbop.model;
import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.Tda;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tdagrp extends AbstractCommonVo implements IRecgrp {
    private Tda ads;

    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tda();
        }
        ads.reset();
    }
}
